<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link th:rel="stylesheet" th:href="@{/webjars/bootstrap/5.0.0-beta3/css/bootstrap.min.css} "/>
</head>
<body>
<header class="p-3 bg-dark text-white">
    <div class="container">
        <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">

            <ul class="nav col-3 ">
                <li><a href="#" class="nav-link px-2 text-white">About</a></li>
            </ul>

            <form class="col-9 " action="/home" th:action="@{/home}">
                <input type="search" class="form-control form-control-dark" name="search" placeholder="Search...">
            </form>
        </div>
    </div>
</header>
<main class="container p-3">
    <h3 th:text="'Search result '+${size}"></h3>
    <div class="row">
        <div class="card m-3 p-0 " th:each="article : ${articles.query.search}" style="width: 18rem;">
            <div class="card-header d-flex justify-content-between">
                <h6 th:text="${article.title}"></h6>
                <p class="text-muted" th:text="${article.pageId}"></p>
            </div>
            <div class="card-body">
                <h6 class="card-subtitle mb-2 text-muted" th:text="${article.wordCount} + ' words'"></h6>
                <span class="card-text" th:text="${article.snippet}"></span>
            </div>
            <div class="card-footer">
                <small class="text-muted" th:text="'Last update '+${article.timestamp}"></small>
            </div>
        </div>
    </div>
</main>


<script th:src="@{/webjars/jquery/jquery.min.js}"></script>
<script th:src="@{/webjars/popper.js/umd/popper.min.js}"></script>
<script th:src="@{/webjars/bootstrap/js/bootstrap.min.js}"></script>

</body>
</html>